Hosted Venue Accounts

Withdraw hosted venue funds

POST
/users/me/venue-accounts/{venue}/withdrawals

Authorization

appIdbearerAuth
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

headerAuthorizationBearer <JWT>

JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.

Path Parameters

venue*string

Request Body

application/json
  1. body
mode*"live"
Value in"live"
requestId*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
amountRaw*string
Match^[1-9][0-9]{0,31}$
destinationAddress*string
Match^[1-9A-HJ-NP-Za-km-z]+$
Length32 <= length <= 44

Response Body

200

application/json
  1. response
id*string
venue*"betdex"
Value in"betdex"
accountId*string
environment*string
Value in"sandbox""production"
asset*"USDC"
Value in"USDC"
decimals*6
Value in6
network*"solana"
Value in"solana"
amountRaw*string
Match^[1-9][0-9]{0,31}$
destinationAddress*string
Match^[1-9A-HJ-NP-Za-km-z]+$
Length32 <= length <= 44
status*string
Value in"processing""confirmed""failed""flagged""review_required"
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/users/me/venue-accounts/string/withdrawals' \  -H 'Content-Type: application/json' \  -d '{  "mode": "live",  "requestId": "string",  "amountRaw": "string",  "destinationAddress": "stringstringstringstringstringst"}'
Example Response
{  "id": "string",  "venue": "betdex",  "accountId": "string",  "environment": "sandbox",  "asset": "USDC",  "decimals": 6,  "network": "solana",  "amountRaw": "string",  "destinationAddress": "stringstringstringstringstringst",  "status": "processing",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}